import request from '@/utils/request'

// 查询白胚出库单列表
export function listEmbryo(query) {
	return request({
		url: '/wms/embryo/list',
		method: 'get',
		params: query
	});
}

// 查询白胚出库单详细
export function getEmbryo(ID) {
	return request({
		url: '/wms/embryo/' + ID,
		method: 'get'
		});
}

// 新增白胚出库单
export function addEmbryo(data) {
	return request({
		url: '/wms/embryo',
		method: 'post',
		data: data
	});
}

// 修改白胚出库单
export function updateEmbryo(data) {
	return request({
		url: '/wms/embryo',
		method: 'put',
		data: data
	});
}

// 删除白胚出库单
export function delEmbryo(ID) {
	return request({
		url: '/wms/embryo/' + ID,
		method: 'delete'
	});
}
